%define upstream_name    JSON-Parse
%define upstream_version 0.62

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2
Summary:    Tokenize a string containing JSON
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/JSON/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel
%description
A module for parsing JSON. (JSON means "JavaScript Object Notation" and it
is specified in the /RFC 7159 manpage.)

JSON::Parse offers the function the /parse_json manpage, which takes a
string containing JSON, and returns an equivalent Perl structure. It also
offers validation of JSON via the /valid_json manpage, which returns true
or false depending on whether the JSON is correct or not, and the
/assert_valid_json manpage, which produces a descriptive fatal error if the
JSON is invalid. A function the /json_file_to_perl manpage reads JSON from
a file, and there is a safer version of the /parse_json manpage called the
/parse_json_safe manpage which doesn't throw exceptions.

For special cases of parsing, there are also methods the /new manpage and
the /run manpage, which create a JSON parsing object and run it on text.
See the /METHODS manpage.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build CFLAGS="%{optflags}"

%check
make test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%perl_vendorarch/*
/usr/bin/validjson


%changelog
* Fri Dec 01 2023 tv <tv> 0.620.0-2.mga10
+ Revision: 2012033
- Rebuild for perl-5.38

* Sun Jul 17 2022 tv <tv> 0.620.0-1.mga9
+ Revision: 1869233
- update to 0.62

* Tue Jun 07 2022 umeabot <umeabot> 0.610.0-4.mga9
+ Revision: 1862051
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 0.610.0-3.mga9
+ Revision: 1795846
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 0.610.0-2.mga9
+ Revision: 1726748
- Rebuild for perl 5.34

* Thu Feb 25 2021 tv <tv> 0.610.0-1.mga9
+ Revision: 1690233
- update to 0.61

* Mon Jan 04 2021 tv <tv> 0.590.0-1.mga8
+ Revision: 1668582
- update to 0.59

* Sat Jan 02 2021 tv <tv> 0.580.0-1.mga8
+ Revision: 1668169
- update to 0.58

* Fri Jul 10 2020 tv <tv> 0.570.0-1.mga8
+ Revision: 1603961
- update to 0.57

* Wed Jun 17 2020 umeabot <umeabot> 0.560.0-2.mga8
+ Revision: 1594829
- Rebuild for perl 5.32

* Wed Feb 19 2020 tv <tv> 0.560.0-1.mga8
+ Revision: 1542446
- update to 0.56

* Sun Feb 16 2020 umeabot <umeabot> 0.550.0-6.mga8
+ Revision: 1529603
- Mageia 8 Mass Rebuild

* Tue Aug 27 2019 tmb <tmb> 0.550.0-5.mga8
+ Revision: 1433721
- rebuild for perl 5.30

* Tue Aug 27 2019 tv <tv> 0.550.0-4.mga8
+ Revision: 1433275
- rebuild with perl-5.30

* Fri Sep 21 2018 umeabot <umeabot> 0.550.0-3.mga7
+ Revision: 1293273
- Mageia 7 Mass Rebuild

* Mon Aug 06 2018 guillomovitch <guillomovitch> 0.550.0-2.mga7
+ Revision: 1248171
- fix files list

* Sat Oct 28 2017 guillomovitch <guillomovitch> 0.550.0-1.mga7
+ Revision: 1174413
- new version 0.55

* Tue Oct 03 2017 tv <tv> 0.490.0-2.mga7
+ Revision: 1165042
- rebuild with fixed rpm for missing autodeps

* Mon Sep 25 2017 guillomovitch <guillomovitch> 0.490.0-1.mga7
+ Revision: 1158931
- imported package perl-JSON-Parse

